﻿@charset "utf-8";

/* ユーザーと店舗で共通のスタイルシートを定義します */

/*---------------------------------------------------------------------
  プロダクト共通
---------------------------------------------------------------------*/
input.outside
{
    position:absolute;
    left: -2000px;
    /*top: -2000px;*/
    /*visibility:hidden;*/
}

.warning_text
{
	color:Red;
}

.validation-summary-errors
{
    font-weight: bold;
    color: #ff0000;
}

.field-validation-error
{
    color: #ff0000;
}


/*---------------------------------------------------------------------
  Webプリント
---------------------------------------------------------------------*/

/* Webプリント 画像一覧 */
.webprint_imagelist
{
    width: 100%;
}
.webprint_imagelist .thumb
{
    width: 100px;
    height: 100px;
}
.webprint_imagelist .size
{
    text-align: right;
}
.webprint_imagelist .other_size
{
    width: 130px; 
    font-size: small;
}
.webprint_imagelist .other_size_add
{
    display:none;
}

/* Webプリント アップローダー */
.webprint_upload
{
    display:none;	
}
.next_button_field
{
    display: none;
}
.webprint_upload #dropField
{
    border: 1px solid black; 
    text-align: center; 
    vertical-align: middle;
    width: 700px; 
    height: 200px;
}
.webprint_upload #progress_field
{
    display:none;
}
.webprint_upload #progress
{
    width: 200px;
}
.webprint_upload #retry_field
{
    display:none;
}
.webprint_upload #upload_list_field
{
    max-height: 300px; 
    max-width: 700px; 
    overflow: auto;
}
.webprint_upload #error_list_field
{
    max-height: 300px; 
    max-width: 700px; 
    overflow: auto;
    display:none;
}
.webprint_flash_upload
{
    display:none;
}

/* アップロード用矢印ボタン */
.webprint_arrow_left 
{
    background: url(../images/arrow_horizon.png) no-repeat 0 -32px;
}
.webprint_arrow_left:hover 
{
	background-position: 0 0;
}
.webprint_arrow_right
{
    background: url(../images/arrow_horizon.png) no-repeat -43px -32px;
}
.webprint_arrow_right:hover 
{
	background-position: -43px 0;
}
.webprint_arrow_top
{
    background: url(../images/arrow_vertical.png) no-repeat 0px 0px;
}
.webprint_arrow_top:hover 
{
	background-position: -32px 0px;
}
.webprint_arrow_bottom
{
    background: url(../images/arrow_vertical.png) no-repeat 0px -43px;
}
.webprint_arrow_bottom:hover
{
    background-position: -32px -43px;
}


/*---------------------------------------------------------------------
  ダイアログ関係
---------------------------------------------------------------------*/
#oshirase1 .dialogprogress
{
    width: 100%;
    margin-top: 0.2em;
    background-color: #eee;
    height: auto;
}

#oshirase1 .dialogprogress .dialogprogressbar
{
    height: 100%;
    background-color: #555;
}

#oshirase1.progress1 .dialogprogress:nth-of-type(1)
,#oshirase1.progress2 .dialogprogress:nth-of-type(1)
{
    margin-top: 0.5em;
}

#oshirase1.progress1 .dialogprogress:nth-of-type(1)
,#oshirase1.progress2 .dialogprogress:nth-of-type(-n+2)
{
    height: 0.2em;
}

/*---------------------------------------------------------------------
  placeholder関係
---------------------------------------------------------------------*/
:-ms-input-placeholder
{
    padding-left: 0.5em;
	opacity: 0.54;
	color: #000;
}

::-moz-placeholder
{
    padding-left: 0.5em;
	opacity: 0.54;
	color: #000;
}

::-webkit-input-placeholder
{
    padding-left: 0.5em;
	opacity: 0.54;
	color: #000;
}

:required:-ms-input-placeholder
{
	color: #e00;
}

:required::-webkit-input-placeholder
{
	color: #e00;
}

:required::-moz-placeholder
{
	color: #e00;
}
